Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_String.cpp File Reference

`#include "CORBA_String.h"`
`#include "Managed_Types.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_wchar.h"`
`#include "ace/OS_Memory.h"`
`#include "ace/streams.h"`
`#include "tao/CORBA_String.inl"`

Include dependency graph for CORBA_String.cpp:

## Functions
const char * | get_rcsid_tao_CORBA_String (const char *)
ostream & | operator<< (ostream &os, const CORBA::String_var &sv)
istream & | operator>> (istream &is, CORBA::String_var &sv)
ostream & | operator<< (ostream &os, CORBA::String_out &so)
istream & | operator>> (istream &is, CORBA::String_out &so)
ostream & | operator<< (ostream &os, const CORBA::WString_var &wsv)
istream & | operator>> (istream &is, CORBA::WString_var &wsv)
ostream & | operator<< (ostream &os, CORBA::WString_out &wso)
istream & | operator>> (istream &is, CORBA::WString_out &wso)
## Variables
const char * | rcsid_tao_CORBA_String = get_rcsid_tao_CORBA_String ( rcsid_tao_CORBA_String )

## Function Documentation

const char* get_rcsid_tao_CORBA_String | ( | const char * |  | ) | `[inline, static]`

ostream& operator<< | ( | ostream & | os,
|  | CORBA::WString_out & | wso
| ) |

ostream& operator<< | ( | ostream & | os,
|  | const CORBA::WString_var & | wsv
| ) |

ostream& operator<< | ( | ostream & | os,
|  | CORBA::String_out & | so
| ) |

ostream& operator<< | ( | ostream & | os,
|  | const CORBA::String_var & | sv
| ) |

istream& operator>> | ( | istream & | is,
|  | CORBA::WString_out & | wso
| ) |

istream& operator>> | ( | istream & | is,
|  | CORBA::WString_var & | wsv
| ) |

istream& operator>> | ( | istream & | is,
|  | CORBA::String_out & | so
| ) |

istream& operator>> | ( | istream & | is,
|  | CORBA::String_var & | sv
| ) |

## Variable Documentation

const char* rcsid_tao_CORBA_String = get_rcsid_tao_CORBA_String ( rcsid_tao_CORBA_String )`[static]`